set -g default-shell /bin/zsh

unbind C-b
set -g prefix `
bind ` send-prefix

unbind l

bind r source ~/.tmux.conf\; display '~/.tmux.conf sourced'
bind c new-window -c '#{pane_current_path}'
bind % split-window -h -c '#{pane_current_path}'
bind '"' split-window -c '#{pane_current_path}'

# vim 的复制模式
# prefix + [ 开始复制，Sapce 选定开头，Enter 选定结尾并复制，prefix + ] 粘贴
set-window-option -g mode-keys vi

set -g mouse             on     # 开启鼠标
set -g history-limit     50000  # 历史记录数量
set -wg allow-rename     off    # 禁止活动进程修改窗口名
set -wg automatic-rename off    # 禁止自动命名新窗口
set -g renumber-windows  on     # 关掉某个窗口后，编号重排

set -g default-terminal 'screen-256color'

set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-sensible'
set -g @plugin 'tmux-plugins/tmux-yank'             # Copy to the system clipboard in tmux
# set -g @plugin 'tmux-plugins/tmux-net-speed'
# set -g @plugin 'tmux-plugins/tmux-cpu'
set -g @plugin 'tmux-plugins/tmux-prefix-highlight' # Highlights when you press tmux prefix key

# theme (choose one: 256, dark, light, base16)
set -g @plugin 'seebi/tmux-colors-solarized'
set -g @colors-solarized 'dark'

set -g status-interval 1         # 状态栏刷新时间
set -g status-right-length 120   # 状态栏右侧长度
# set -g @net_speed_format 'D:%9s U:%9s'
# set -g @cpu_percentage_format '%5.1f%%'
# set -g status-right 'CPU: #{cpu_percentage} MEM: #(/usr/local/bin/tmux-mem --format " :percent") #{net_speed} #{prefix_highlight} %a %m/%d %H:%M'
set -g status-right '#{prefix_highlight} %a %m/%d %H:%M'

# prefix highlight
set -g @prefix_highlight_fg 'white'
set -g @prefix_highlight_bg 'blue'
set -g @prefix_highlight_show_copy_mode 'on'
set -g @prefix_highlight_copy_mode_attr 'fg=white,bg=blue'
set -g @prefix_highlight_show_sync_mode 'on'
set -g @prefix_highlight_sync_mode_attr 'fg=white,bg=blue'

# prefix-I: install plugins (big letter I, not i)
# prefix-U: update plugins  (big letter U, not u)

run '~/.tmux/plugins/tpm/tpm'
